Highlighted
robert_maury Absent Member.
Absent Member.
378 views

IDM402 Engine error


Hello,

I have upgraded my IDM infrastructure:

eDir 8.8.7 -->eDir 8.8.8 patch6
iManager 2.7.7 -->iManager 2.7.7 patch4
My IDM stay in 402 version

When i try launch my drivers i have this warning :

com.novell.admin.common.exceptions.UniqueSPIException: (Error-714)The
operation was not implemented

This warning seems to be due to IDM engine faillure: is it the case ?

Will the various steps and order are correct ?

Best regards


--
robert_maury
------------------------------------------------------------------------
robert_maury's Profile: https://forums.netiq.com/member.php?userid=9145
View this thread: https://forums.netiq.com/showthread.php?t=54416

Labels (1)
0 Likes
7 Replies
Knowledge Partner
Knowledge Partner

Re: IDM402 Engine error


What patch level of 4.0.2 are you at? Make sure it is the latest since
there has been several updates to tls and this impacts on idm. Remote
loaders also need to be patched if this is the case.


--
joakim_ganse
------------------------------------------------------------------------
joakim_ganse's Profile: https://forums.netiq.com/member.php?userid=159
View this thread: https://forums.netiq.com/showthread.php?t=54416

0 Likes
robert_maury Absent Member.
Absent Member.

Re: IDM402 Engine error


Hello,

i have installed the patch7

best regards


--
robert_maury
------------------------------------------------------------------------
robert_maury's Profile: https://forums.netiq.com/member.php?userid=9145
View this thread: https://forums.netiq.com/showthread.php?t=54416

0 Likes
Marcus Tornberg Super Contributor.
Super Contributor.

Re: IDM402 Engine error


Hi.

I would take a look at ndsd.log during eDirectory startup. My guess is
that IDM fails to load for some reason. Ndsd.log should give a hint.

Bset regards
Marcus


--
marcus_jonsson
------------------------------------------------------------------------
marcus_jonsson's Profile: https://forums.netiq.com/member.php?userid=1157
View this thread: https://forums.netiq.com/showthread.php?t=54416

0 Likes
Knowledge Partner
Knowledge Partner

Re: IDM402 Engine error


I have the same suspicion.
If you have two servers, try starting the drivers on the secondary. If
you don't, It might be a reason to install a second one.


--
joakim_ganse
------------------------------------------------------------------------
joakim_ganse's Profile: https://forums.netiq.com/member.php?userid=159
View this thread: https://forums.netiq.com/showthread.php?t=54416

0 Likes
Knowledge Partner
Knowledge Partner

Re: IDM402 Engine error


robert_maury;261393 Wrote:
> Hello,
>
> I have upgraded my IDM infrastructure:
>
> eDir 8.8.7 -->eDir 8.8.8 patch6
> iManager 2.7.7 -->iManager 2.7.7 patch4
> My IDM stay in 402 version
>
> When i try launch my drivers i have this warning :
>
> com.novell.admin.common.exceptions.UniqueSPIException: (Error-714)The
> operation was not implemented
>
> This warning seems to be due to IDM engine faillure: is it the case ?
>
> Will the various steps and order are correct ?
>
> Best regards


What is your host system? RedHat/SLES etc

One of the old TID mentioned about library.
May be new eDir 8.8.8 patch 6 required some soft links.

> The following 'Snapin Exception' was thrown.
>
> ''com.novell.admin.common.exceptions.UniqueSPIException: (Error -714)
> The operation was not implemented."
>
> Error: 714 -714 0xFFFFFD36 = ERR_NOT_IMPLEMENTED
> Error: "Loader Failed:for /usr/lib//nds-modules/libdxevent.so.1,error
> libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file
> or directory,errno 2" is reported in the ndsd.log.
> The following library, /usr/lib/libstdc++-2-libc6.1-1-2.9.0.so was
> missing. libstdc++-libc6.1-1.so.2 is a soft link to ->
> libstdc++-2-libc6.1-1-2.9.0.so



--
If you find this post helpful, please show your appreciation by clicking
on the star below :cool:
------------------------------------------------------------------------
al_b's Profile: https://forums.netiq.com/member.php?userid=209
View this thread: https://forums.netiq.com/showthread.php?t=54416

0 Likes
Knowledge Partner
Knowledge Partner

Re: IDM402 Engine error

>> Error: "Loader Failed:for /usr/lib//nds-modules/libdxevent.so.1,error
>> libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file
>> or directory,errno 2" is reported in the ndsd.log.
>> The following library, /usr/lib/libstdc++-2-libc6.1-1-2.9.0.so was
>> missing. libstdc++-libc6.1-1.so.2 is a soft link to ->
>> libstdc++-2-libc6.1-1-2.9.0.so


The issue on RHEL is that you need both the 64 and 32 bit version of all
the listed libraris. I forget the yum syntax but you have to get both.
The docs are less than stellar on this point.

0 Likes
Knowledge Partner
Knowledge Partner

Re: IDM402 Engine error


Just saw this in the patch 6 documentation:
1.2 Updates for Dependent Components

In this release, the Java version has been updated to 1.8.0_60. There
are no manual steps required to update the version of Java. After
upgrading, the Java version is 1.8.0_60.

I think this is the issue.
Further down following a link you can read this:

>
> Identity Manager 3.6 and 4.0.x Engine Fails to Start After Upgrading to
> eDirectory 8.8 SP8 Patch 4
>
> This issue occurs because of the mismatch in the Java versions supported
> by the latest eDirectory patch and Identity Manager. Earlier versions of
> Identity Manager supported Java 1.6 while eDirectory 8.8.8 Patch 4
> shipped with Java 1.7.
>
> To workaround this issue, upgrade Identity Manager 3.6.1 or 4.0.x to
> Identity Manager 4.0.2 or 4.5 including the latest engine patch. For
> more information, see TID 7016009 or TID 7016010.
>


So have a look at those tid:s.
Changing Java version can be a trouble sometimes.


--
joakim_ganse
------------------------------------------------------------------------
joakim_ganse's Profile: https://forums.netiq.com/member.php?userid=159
View this thread: https://forums.netiq.com/showthread.php?t=54416

0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.